Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::Cloner Struct Reference

`#include <index_io.h>`

Inheritance diagram for faiss::Cloner:

## Public Member Functions
virtual VectorTransform * | clone_VectorTransform (const VectorTransform *)
virtual Index * | clone_Index (const Index *)
virtual IndexIVF * | clone_IndexIVF (const IndexIVF *)

## Detailed Description

Cloner class, useful to override classes with other cloning functions. The cloning function above just calls Cloner::clone_Index.

Definition at line 51 of file index_io.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/index_io.h
- /data/users/matthijs/github_faiss/faiss/index_io.cpp